Skip to main content
POST
/
v1
/
businessAccount
/
wallets
/
addresses
/
recipient
Create a recipient address
curl --request POST \
  --url https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/recipient \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
  "description": "My USDC address at a cryptocurrency exchange",
  "addressTag": "123456789"
}
'
import requests

url = "https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/recipient"

payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
"description": "My USDC address at a cryptocurrency exchange",
"addressTag": "123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
address: '0x8381470ED67C3802402dbbFa0058E8871F017A6F',
description: 'My USDC address at a cryptocurrency exchange',
addressTag: '123456789'
})
};

fetch('https://api-sandbox.circle.com/v1/businessAccount/wallets/addresses/recipient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F",
    "addressTag": "123456789",
    "chain": "ALGO",
    "currency": "USD",
    "description": "My USDC address at a cryptocurrency exchange",
    "status": "active"
  }
}
{
"code": 400,
"message": "Bad request."
}
{
"code": 401,
"message": "Malformed authorization."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Adds a recipient address. The currency parameter will default to USD for all chains except for BTC where it defaults to BTC.

idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

address
string
required

An alphanumeric string representing a blockchain address. Formatting varies by blockchain. Be sure to preserve the exact formatting and capitalization of the address.
Important: For Ripple (XRP) addresses, only the classic address format is supported (for example, rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY).
The x-address format is NOT supported currently (for example, XV5sbjUmgPpvXv4ixFWZ5ptAYZ6PD2q1qM6owqNbug8W6KV).

Example:

"0x8381470ED67C3802402dbbFa0058E8871F017A6F"

chain
enum<string>
required

A blockchain that a given currency is available on.

Note: Arc (ARC) is only available in the sandbox environment (api-sandbox.circle.com).

Available options:
ALGO,
APTOS,
ARB,
ARC,
AVAX,
BASE,
BTC,
CELO,
CODEX,
ETH,
HBAR,
HYPEREVM,
INK,
LINEA,
NEAR,
NOBLE,
OP,
PLUME,
PAH,
POLY,
SEI,
SOL,
SONIC,
SUI,
UNI,
WORLDCHAIN,
XDC,
XLM,
XRP,
ZKS,
ZKSYNC
description
string
required

An identifier or sentence that describes the recipient.

Example:

"My USDC address at a cryptocurrency exchange"

addressTag
string | null

The secondary identifier for a blockchain address. An example of this is the memo field on the Stellar network, which can be text, id, or hash format.

Example:

"123456789"

currency
enum<string> | null

A currency associated with a balance or address.

Available options:
USD,
EUR,
BTC,
ETH,
CIRBTC

Response

Successfully added a recipient address.

data
object